<div
  class="slides-panel-content"
  *ngIf="slideEntities?.length">
  <mat-grid-list cols="11" rowHeight="25rem" gutterSize="0">
    <ng-container *ngFor="let slide of slideEntities; let i = index; trackBy: trackBySlideId">
      <mat-grid-tile *ngIf="i === 0 || i % 10 === 0">
        <app-slide-tray-item
          class="tray-item-dimension"
          [isTrayLabel]="true"
          [deleted]="false"
          [slideId]="'Id'"
          [displayId]="'Id'"
          [block]="'Block'"
          [stain]="'Stain'"
          [tissue]="'Tissue'">
        </app-slide-tray-item>
      </mat-grid-tile>
      <mat-grid-tile
        data-cy="slides-tray-list"
        (click)="!slide.deleted ? selectionListChanged(slide?.id) : ''">
        <div
          class="standard-hover tray-item-dimension"
          [ngClass]="!slide.deleted ? 'grid-tile-div' : 'disabled'"
          [appCopyToClipboard]="slide">
          <app-slide-tray-item
            [isTrayLabel]="false"
            [deleted]="slide.deleted"
            [slideId]="slide.id"
            [slideImage]="slideImages[slide.id]"
            [displayId]="slide.dataView?.local_id ?? slide.id"
            [block]="slide.dataView?.block"
            [stain]="slide.dataView?.stain"
            [tissue]="slide.dataView?.tissue">
          </app-slide-tray-item>
        </div>
      </mat-grid-tile>
    </ng-container>
  </mat-grid-list>
</div>
<ng-container *ngIf="slideEntities?.length">
  <mat-divider></mat-divider>
  <div class="footer-container">
    <app-pagination
      [position]="slidesSkip"
      [limit]="slidesLimit"
      [maxCount]="maxSlidesCount"
      (nextPage)="loadNewSlidesPage.emit($event)"
      (previousPage)="loadNewSlidesPage.emit($event)">
    </app-pagination>
  </div>
</ng-container>
<ng-container *ngIf="selectionMissing">
  <app-missing-selection-error [missingSelectionType]="selectionMissing"></app-missing-selection-error>
</ng-container>
<ng-container *ngIf="!slideEntities.length && !selectionMissing && contentLoaded">
  <div class="menu-no-content">
    <div>Case has no Slides</div>
  </div>
</ng-container>
